<?php

namespace Drupal\gammu_smsd\Controller;

use Drupal\Core\Controller\ControllerBase;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Controller routines for test_api routes.
 */
class GammuAPIController extends ControllerBase {

  /**
   * Callback for `api/gammu/send` API method.
   */
  public function send(Request $request) {
    $config = \Drupal::config('gammu_smsd.settings');
    $token = $config->get('gammu_token');
    $response = FALSE;
    if (0 === strpos($request->headers->get('Content-Type'), 'application/json') && $request->headers->get('Authorization') == $token) {
      $data = json_decode($request->getContent(), TRUE);
      $message = [$data['number'], $data['text']];
      $response = \Drupal::service('gammu_smsd.sendSMS')->send([$message]);
    }
    return new JsonResponse($response);
  }

}
